import request from '@/utils/request'

// 查询友情链接列表
export function listFRIENDLYLINKS(query) {
  return request({
    url: '/portal/FRIENDLYLINKS/list',
    method: 'get',
    params: query
  })
}

// 查询友情链接所有列表
export function listAllFRIENDLYLINKS(query) {
  return request({
    url: '/portal/FRIENDLYLINKS/listAll',
    method: 'get',
    params: query
  })
}

// 查询友情链接详细
export function getFRIENDLYLINKS(id) {
  return request({
    url: '/portal/FRIENDLYLINKS/getInfo/' + id,
    method: 'get'
  })
}

// 新增友情链接
export function addFRIENDLYLINKS(data) {
  return request({
    url: '/portal/FRIENDLYLINKS/add',
    method: 'post',
    data: data
  })
}

// 修改友情链接
export function updateFRIENDLYLINKS(data) {
  return request({
    url: '/portal/FRIENDLYLINKS/edit',
    method: 'post',
    data: data
  })
}

// 删除友情链接
export function delFRIENDLYLINKS(id) {
  return request({
    url: '/portal/FRIENDLYLINKS/remove/' + id,
    method: 'get'
  })
}
